# Aliens on My Lawn
# Copyright (C) 2009 Jeffrey Armstrong (a.k.a. PrintStar)
# http://jeff.rainbow-100.com/
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
# A full version of the license terms is available in LICENSE.

from constants import *
from data import *
from fullscreen import MessageSprite

LEVEL_IMAGES = ['level1.png',\
                'level2.png',\
                'level3.png',\
                'level4.png',\
                'level5.png',\
                'level6.png',\
                'level7.png',\
                'level8.png',\
                'level9.png',\
                'level10.png',\
                'level11.png',\
                'level12.png',\
                'level13.png',\
                'level14.png',\
                'level15.png',\
                'level16.png',\
                'level17.png']

def aliens_per_level(level):
    return 5+2*level

class Level:
    def __init__(self,level_number):
        self.number = level_number
        self.image = self.load()
        self.aliens = aliens_per_level(self.number)
    
    def sprite(self):
        return MessageSprite(self.image)
        
    def load(self):
        """Loads the intro message"""
        try:
            self.image = load_image(LEVEL_IMAGES[self.number-1])
        except IndexError:
            self.image = load_image(LEVEL_IMAGES[-1])
            
        return self.image
        