# Aliens on My Lawn
# Copyright (C) 2009 Jeffrey Armstrong (a.k.a. PrintStar)
# http://jeff.rainbow-100.com/
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
# A full version of the license terms is available in LICENSE.

from pygame import *
from constants import *
from fullscreen import MESSAGE_FONT
from data import filepath

class ScoreBoard(sprite.Sprite):
    def __init__(self,player):
        sprite.Sprite.__init__(self)
        self.player = player
        
        self.rect = Rect((0,0),(SCR_WIDTH,GRID_Y))
        
        self.level = 1
        
    def update(self):
        self.image = Surface((self.rect.width,self.rect.height))
        self.image.fill(Color('black'))
        
        text_font = font.Font(filepath(MESSAGE_FONT),36)
        
        day = text_font.render('Day %d' % (self.level,),1,Color('white'))
        self.image.blit(day,(2,6))
        
        # lives
        pim = self.player.image_directions[SOUTH]
        for i in range(0,self.player.lives):
            self.image.blit(pim[0],(day.get_width()+30+(4+GRID_X)*i,0))
            
        # ammo
        ammo = text_font.render('Ammo: %d' % (self.player.weapon().ammo,),1,Color('white'))
        self.image.blit(ammo,(SCR_WIDTH-4-ammo.get_width(),6))
        